declare const _default: {
    extends: string;
    plugins: string[];
    overrides: {
        files: string[];
        parser: string;
        rules: {
            '@typescript-eslint/no-use-before-define': (string | {
                functions: boolean;
                classes: boolean;
                variables: boolean;
                typedefs: boolean;
            })[];
            '@typescript-eslint/adjacent-overload-signatures': string;
            '@typescript-eslint/array-type': (string | {
                default: string;
            })[];
            '@typescript-eslint/camelcase': (string | {
                properties: string;
                genericType: string;
            })[];
            '@typescript-eslint/consistent-type-assertions': (string | {
                assertionStyle: string;
                objectLiteralTypeAssertions: string;
            })[];
            '@typescript-eslint/consistent-type-definitions': string[];
            '@typescript-eslint/explicit-function-return-type': (string | {
                allowExpressions: boolean;
                allowHigherOrderFunctions: boolean;
                allowTypedFunctionExpressions: boolean;
                allowDirectConstAssertionInArrowFunctions: boolean;
            })[];
            '@typescript-eslint/member-delimiter-style': (string | {
                multiline: {
                    delimiter: string;
                };
                singleline: {
                    delimiter: string;
                    requireLast: boolean;
                };
            })[];
            '@typescript-eslint/no-dynamic-delete': string;
            '@typescript-eslint/no-empty-function': (string | {
                allow: string[];
            })[];
            '@typescript-eslint/no-empty-interface': string;
            '@typescript-eslint/no-extra-non-null-assertion': string;
            '@typescript-eslint/no-extraneous-class': (string | {
                allowWithDecorator: boolean;
            })[];
            '@typescript-eslint/no-floating-promises': string;
            '@typescript-eslint/no-for-in-array': string;
            '@typescript-eslint/no-misused-new': string;
            '@typescript-eslint/no-misused-promises': string;
            '@typescript-eslint/no-namespace': string;
            '@typescript-eslint/no-non-null-assertion': string;
            '@typescript-eslint/no-this-alias': (string | {
                allowDestructuring: boolean;
            })[];
            '@typescript-eslint/no-unnecessary-type-assertion': string;
            '@typescript-eslint/no-var-requires': string;
            '@typescript-eslint/prefer-function-type': string;
            '@typescript-eslint/prefer-nullish-coalescing': (string | {
                ignoreConditionalTests: boolean;
                ignoreMixedLogicalExpressions: boolean;
            })[];
            '@typescript-eslint/prefer-optional-chain': string;
            '@typescript-eslint/prefer-readonly': string;
            '@typescript-eslint/promise-function-async': string;
            '@typescript-eslint/require-array-sort-compare': string;
            '@typescript-eslint/require-await': string;
            '@typescript-eslint/restrict-plus-operands': (string | {
                checkCompoundAssignments: boolean;
            })[];
            '@typescript-eslint/restrict-template-expressions': string;
            '@typescript-eslint/strict-boolean-expressions': string;
            '@typescript-eslint/triple-slash-reference': (string | {
                lib: string;
                path: string;
                types: string;
            })[];
            '@typescript-eslint/type-annotation-spacing': string;
            camelcase: string;
            'no-use-before-define': string;
            'no-undef': string;
        };
    }[];
};
export = _default;
